LinuxQuestions.org

LinuxQuestions.org (/questions/)
-   Linux - Hardware (https://www.linuxquestions.org/questions/linux-hardware-18/)
-   -   Kernel module loading problem (https://www.linuxquestions.org/questions/linux-hardware-18/kernel-module-loading-problem-157089/)

Suren 03-13-2004 09:38 AM

Kernel module loading problem
 
I am get the following problem during loading madwifi driver into 2.4.20-8 kernel. Dose anybody had the same problem ?

The "make" is going ok, but "make install" gives the following unresolved symbols.

depmod -ae
depmod: *** Unresolved symbols in /lib/modules/2.4.22-1.2115.nptl/net/ath_hal.o
depmod: proc_dointvec
depmod: unregister_sysctl_table
depmod: register_sysctl_table
depmod: *** Unresolved symbols in /lib/modules/2.4.22-1.2115.nptl/net/ath_pci.o
depmod: __kfree_skb
depmod: alloc_skb
depmod: pskb_expand_head
depmod: ether_setup
depmod: skb_under_panic
depmod: pci_free_consistent
depmod: netdev_finish_unregister
depmod: proc_dostring
depmod: pci_alloc_consistent
depmod: proc_dointvec
depmod: unregister_sysctl_table
depmod: ___pskb_trim
depmod: dev_get_by_name
depmod: netif_rx
depmod: skb_over_panic
depmod: softnet_data
depmod: irq_stat
depmod: register_sysctl_table
depmod: *** Unresolved symbols in /lib/modules/2.4.22-1.2115.nptl/net/wlan.o
depmod: eth_type_trans
depmod: __kfree_skb
depmod: alloc_skb
depmod: skb_under_panic
depmod: create_proc_entry
depmod: unregister_netdev
depmod: skb_copy
depmod: proc_mkdir
depmod: register_netdev
depmod: dev_queue_xmit
depmod: ___pskb_trim
depmod: remove_proc_entry
depmod: netif_rx
depmod: skb_over_panic
depmod: proc_net
depmod: irq_stat
depmod: skb_copy_expand

Thanks in advance.

0mega 07-16-2004 08:55 AM

Suren: I am getting the EXACT same error messages when I try to make install. I haven't figured it out yet, but I will post results as soon as this is resolved.

0mega

G8Descentr 07-19-2004 11:54 AM

Yes, I have this problem too and it blows. Does anyone know what exactly is the problem and how to fix it. It seems fairly common, but have not seen a way to solve the problem yet.

0mega 07-19-2004 04:20 PM

Well, I fixed it!
I used CVS to upgrade to the WPA edition, it seems they keep that project more updated, I got no errors on make, or make install... hope this solution works for you!

0mega

IBBoard 07-24-2004 09:59 AM

I appear to be having a very similar problem (complete with an almost identical list of unresolved symbols). Can anyone give me an explanation of how to fix it? I've searched the net and these forums and not found anything useful. I'm not new to linux (I've been using it for 2 years now) but I've not played at a low level with kernel things before.
I tried downloading the WPA branch from the site, but it mostly seemed to be empty. I've tried the latest CVS (downloaded by hand from the web CVS) a packeged copy from else where on the site and RPMS (which didn't work because they were ATrpms).

avirup dasgupta 08-03-2004 06:29 AM

http://www.redhat.com/archives/fedor.../msg01516.html

This one solved a lot of problems.

Summary
--------------
rpm -e kernel-source-2.4.20-30.9
rm -Rf madwifi

cd /usr/local/
rpm -ivh /downloads/kernel-source-2.4.20-30.9.i386.rpm
cvs -z3 -d:pserver:anonymous@cvs.sourceforge.net:/cvsroot/madwifi co madwifi
cd madwifi/
make
(This one said to Edit kernel with Module support enabled)
cd /usr/src/linux-2.4
make config
.......
cd /usr/local/madwifi
make
insmod wlan/wlan.o
insmod ath_hal/ath_hal.o
insmod driver/ath_pci.o
ifconfig

And my Wirelss card was working fine in Rh9


All times are GMT -5. The time now is 06:18 PM.